인증
Bearer 토큰으로 API 키를 전송하세요. 이 엔드포인트는 명세에 특정 권한을 명시하지 않으므로, 가정하기보다는 키에 필요한 최소한의 권한을 부여하고 응답을 확인하세요.
이 엔드포인트는 조직 ID를 받지 않습니다. 사용자의 키가 이미 속한 조직을 식별하며, 응답은 해당 조직으로 한정됩니다.
무료 체험하기
대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.
curl -X PATCH https://api.zinndigital.com/v1/content/run-schedules/{scheduleId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ }'로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요
상세 정보
Any subset of the fields. Setting `enabled` to false stops future runs and leaves every run it has already made alone. Gated on `links.edit`.
매개변수
| 이름 | 유형 | 필수 | 설명 |
|---|---|---|---|
scheduleId (path) | string | 예 | — |
요청 본문
| 이름 | 유형 | 필수 | 설명 |
|---|---|---|---|
brief | string | 아니요 | — |
site_ids | string[] | 아니요 | — |
anchors | ContentRunAnchor[] | 아니요 | — |
category | string | 아니요 | — |
publish_policy | ContentRunPublishPolicy | 아니요 | How far a run may go on its own. `draft_only` is the default and puts nothing live. |
interval_hours | integer | 아니요 | — |
enabled | boolean | 아니요 | — |
recipe_id | string | 아니요 | — |
응답
| 이름 | 유형 | 필수 | 설명 |
|---|---|---|---|
id | string | 예 | — |
enabled | boolean | 예 | — |
interval_hours | integer | 예 | — |
next_run_at | string | 예 | — |
last_run_at | string | 아니요 | — |
last_run_id | string | 아니요 | — |
brief | string | 예 | — |
category | string | 아니요 | — |
publish_policy | ContentRunPublishPolicy | 예 | How far a run may go on its own. `draft_only` is the default and puts nothing live. |
site_ids | string[] | 예 | — |
recipe_id | string | 아니요 | — |
이 엔드포인트가 반환할 수 있는 오류
401 · 403 · 404 · 422